Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1428926 - Review Request: php-justinrainbow-json-schema5 - A library to validate a json schema
Review Request: php-justinrainbow-json-schema5 - A library to validate a json...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-03 10:53 EST by Remi Collet
Modified: 2017-04-07 09:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-31 19:47:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
randy: fedora‑review+


Attachments (Terms of Use)
review.txt (8.78 KB, text/plain)
2017-03-21 15:40 EDT, Randy Barlow
no flags Details

  None (edit)
Description Remi Collet 2017-03-03 10:53:56 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/master/php/php-justinrainbow-json-schema5/php-justinrainbow-json-schema5.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-justinrainbow-json-schema5-5.1.0-1.remi.src.rpm
Description: 
A PHP Implementation for validating JSON Structures against a given Schema.

This package provides the library version %{major}.

See http://json-schema.org/


Fedora Account System Username: remi


-- needed by php-cs-fixer 2.1.1
Comment 1 Randy Barlow 2017-03-21 15:40 EDT
Created attachment 1265193 [details]
review.txt

Suggestions, at your option:

* You can drop the rm -rf %{buildroot} in the install section.
  fedora-review put this in the MUST section, but I disagree so I am
  willing to pass as-is.
* You can drop the %defattr statement in the files section.
* You can drop the BuildRoot: line.
* You can delete the %clean section.
Comment 2 Remi Collet 2017-03-22 01:48:50 EDT
Thanks for the review

(In reply to Randy Barlow from comment #1)
> Created attachment 1265193 [details]
> review.txt
> 
> Suggestions, at your option:
> 
> * You can drop the rm -rf %{buildroot} in the install section.
>   fedora-review put this in the MUST section, but I disagree so I am
>   willing to pass as-is.
> * You can drop the %defattr statement in the files section.
> * You can drop the BuildRoot: line.
> * You can delete the %clean section.

Yes, I usually clean those during Fedora import (and will be able to totally clean them in my repo in ~1 week \o/)
Comment 3 Gwyn Ciesla 2017-03-22 08:47:51 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-justinrainbow-json-schema5
Comment 4 Fedora Update System 2017-03-22 09:33:23 EDT
php-justinrainbow-json-schema5-5.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-560f805a30
Comment 5 Fedora Update System 2017-03-22 09:33:30 EDT
php-justinrainbow-json-schema5-5.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3b442ce6cb
Comment 6 Fedora Update System 2017-03-22 09:33:35 EDT
php-justinrainbow-json-schema5-5.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4534b24bc7
Comment 7 Fedora Update System 2017-03-22 09:33:39 EDT
php-justinrainbow-json-schema5-5.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6ae1f436ff
Comment 8 Fedora Update System 2017-03-23 10:25:04 EDT
php-justinrainbow-json-schema5-5.2.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6ae1f436ff
Comment 9 Fedora Update System 2017-03-23 14:48:40 EDT
php-justinrainbow-json-schema5-5.2.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4534b24bc7
Comment 10 Fedora Update System 2017-03-23 15:22:50 EDT
php-justinrainbow-json-schema5-5.2.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3b442ce6cb
Comment 11 Fedora Update System 2017-03-23 15:23:42 EDT
php-justinrainbow-json-schema5-5.2.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-560f805a30
Comment 12 Fedora Update System 2017-03-31 19:47:50 EDT
php-justinrainbow-json-schema5-5.2.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-03-31 20:24:39 EDT
php-justinrainbow-json-schema5-5.2.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-04-01 13:26:55 EDT
php-justinrainbow-json-schema5-5.2.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-04-07 09:49:06 EDT
php-justinrainbow-json-schema5-5.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.